Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236703 (CVE-2007-1745) - possible vulnerabilities CVE-2007-1745
Summary: possible vulnerabilities CVE-2007-1745
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2007-1745
Product: Fedora
Classification: Fedora
Component: clamav
Version: 6
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 236948 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 06:54 UTC by Frank Büttner
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-17 09:16:39 UTC


Attachments (Terms of Use)

Description Frank Büttner 2007-04-17 06:54:50 UTC
See http://sourceforge.net/project/shownotes.php?release_id=500765
and http://www.heise-security.co.uk/news/88283
for more details.
The update to 0.90.2 will fix it.

Comment 1 Enrico Scholz 2007-04-17 09:16:39 UTC
Copy from bug #230075 comment #35:

----
0.88.7-2 should not be vulnerable to the issues fixed by 0.90.2.

CHM fd leak does not seem to triggerable by attackers (happens only when an
'fdopen()' fails, and there is a test whether open(2) returns !0 instead of <0).
0.90.x executes other code which might lead to the fd leak.

CAB scanning was disabled by the fix for CVE-2007-0897, and 0.88.7 does not
contain code for PDF scanning overall.

Comment 2 Enrico Scholz 2007-04-18 18:31:52 UTC
*** Bug 236948 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.